javax.persistence.metamodel

## Interface SingularAttribute<X,T>

All Superinterfaces:
  Attribute<X,T>, Bindable<T>

    public interface SingularAttribute<X,T>
    extends Attribute<X,T>, Bindable<T>

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute

`Attribute.PersistentAttributeType`

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable

`Bindable.BindableType`

### Method Summary

All Methods Instance Methods Abstract Methods
`Type<T>` `getType()`
`boolean` `isId()`
`boolean` `isOptional()`
`boolean` `isVersion()`

### Methods inherited from interface javax.persistence.metamodel.Attribute

`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, isAssociation, isCollection`

### Methods inherited from interface javax.persistence.metamodel.Bindable

`getBindableJavaType, getBindableType`

### Method Detail

#### isId

    boolean isId()

#### isVersion

    boolean isVersion()

#### isOptional

    boolean isOptional()

#### getType

    Type<T> getType()